SASL_CHECKPASS(3)

NAME
sasl_checkpass - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>

int sasl_checkpass(sasl_conn_t *conn,
                 const char *user,
                 unsigned userlen,
                 const char *pass,
                 unsigned passlen);

DESCRIPTION

    int sasl_checkpass(sasl_conn_t *conn,

    const char *user,

    unsigned userlen,

    const char *pass,

    unsigned passlen)
        sasl_checkpass will check a plaintext password. This is needed for protocols that had a login method before SASL (for example the LOGIN command in IMAP). The password is checked with the pwcheck_method. See sasl_callbacks(3) <#std-saslman-sasl_callbacks-3> for information on how this parameter is set.

RETURN VALUE

sasl_checkpass returns an integer which corresponds to one of the following codes. SASL_OK <#c.SASL_OK> indicates that the authentication is complete. All other return codes indicate errors and should either be handled or the authentication session should be quit. See sasl_errors(3) <#std-saslman-sasl_errors-3> for meanings of return codes.

CONFORMING TO

RFC 4422 <https://datatracker.ietf.org/doc/html/rfc4422.html>

SEE ALSO

sasl(3) <#std-saslman-sasl-3>, sasl_errors(3) <#std-saslman-sasl_errors-3>, sasl_callbacks(3) <#std-saslman-sasl_callbacks-3>, sasl_setpass(3) <#std-saslman-sasl_setpass-3>

Author
The Cyrus Team

Copyright
1993-2016, The Cyrus Team